-- cc-assist.lua v1.2 -- by Makazi, revised by Tallow
--
-- Provides a control interface for running many charcoal hearths or
-- ovens simultaneously.
--

dofile("common.inc");

askText = singleLine([[
  CC Assist v1.2 (by Makazi, revised by Tallow) --
  Provides a control interface for running many charcoal hearths or
  ovens simultaneously. Make sure the VT window is in the TOP-RIGHT
  corner of the screen.
]]);

wmText = "Tap control on Charcoal Hearths or Ovens to open and pin.";

click_delay = 0;

buttons = {
  {
    name = "Begin",
    buttonPos = makePoint(10, 110),
    buttonSize = 270,
    image = "mm_BeginHD.png",
    offset = makePoint(25, 10)
  },
  --682, 243
  --750, 345
  {
    name = "Wood",
    buttonPos = makePoint(10, 166),
    buttonSize = 130,
    image = "mm_WoodHD.png",
    offset = makePoint(70,100)
  },
  
  --680,260
  --792,345
  {
    name = "Water",
    buttonPos = makePoint(150, 166),
    buttonSize = 130,
    image = "mm_WaterHD.png",
    offset = makePoint(110,85)
  },
  
  --818,322
  --838,350
  --856
  --877
  {
    name = "Closed",
    buttonPos = makePoint(10, 215),
    buttonSize = 80,
    image = "mm_VentHD.png",
    offset = makePoint(20,30)
  },
  
  {
    name = "Open",
    buttonPos = makePoint(105, 215),
    buttonSize = 80,
    image = "mm_VentHD.png",
    offset = makePoint(40, 30)
  },
  {
    name = "Full",
    buttonPos = makePoint(200, 215),
    buttonSize = 80,
    image = "mm_VentHD.png",
    offset = makePoint(60, 30)
  }
};

function doit()
  askForWindow(askText);
  runCommand(buttons[1]);
  --windowManager("Charcoal Setup", wmText);
  unpinOnExit(ccMenu);
end

function ccMenu()
  while 1 do
    for i=1, #buttons do
      if showButton(buttons[i]) then
	runCommand(buttons[i]);
      end
    end
    statusScreen("CC Control Center", 0x00d000ff);
  end
end

function showButton(button)
  return lsButtonText(button.buttonPos[0], button.buttonPos[1],
		      0, button.buttonSize, 0xFFFFFFff, button.name)
end

function runCommand(button)
	--srReadScreen();
--	local pos = srFindImage("mm-corner.png");
--	if not pos then
--		sleepWithStatus(2000,"Coudln't find " .. button.name);
--	else
--		sleepWithStatus(2000,"Found " .. button.name .. " at " .. pos[0] .. "," .. pos[1]);
--	end
  clickAllImages(button.image, button.offset[0], button.offset[1]);
  
end

